{
  "name": "neptune-web-wallet",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "workspaces": [
    "packages/*"
  ],
  "main": ".vite/build/neptune-web-wallet.cjs",
  "scripts": {
    "dev": "vite",
    "start:electron": "electron-forge start",
    "make:electron": "electron-forge make",
    "package:electron": "electron-forge package",
    "publish:electron": "electron-forge publish",
    "build": "run-p type-check \"build-only {@}\" --",
    "preview": "vite preview",
    "build-only": "vite build",
    "type-check": "vue-tsc --build --force",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "format": "prettier --write src/"
  },
  "dependencies": {
    "@neptune/native": "file:./packages/neptune-native",
    "@neptune/wasm": "file:./packages/neptune-wasm",
    "ant-design-vue": "^4.2.6",
    "axios": "^1.6.8",
    "crypto": "^1.0.1",
    "electron-squirrel-startup": "^1.0.1",
    "pinia": "^2.1.7",
    "vue": "^3.4.21",
    "vue-router": "^4.3.0",
    "vue3-i18n": "^1.1.5"
  },
  "devDependencies": {
    "@electron-forge/cli": "^7.10.2",
    "@electron-forge/maker-deb": "^7.10.2",
    "@electron-forge/maker-rpm": "^7.10.2",
    "@electron-forge/maker-squirrel": "^7.10.2",
    "@electron-forge/maker-zip": "^7.10.2",
    "@electron-forge/plugin-auto-unpack-natives": "^7.10.2",
    "@electron-forge/plugin-fuses": "^7.10.2",
    "@electron-forge/plugin-vite": "^7.10.2",
    "@electron/fuses": "^1.8.0",
    "@rushstack/eslint-patch": "^1.8.0",
    "@tsconfig/node20": "^20.1.4",
    "@types/electron-squirrel-startup": "^1.0.2",
    "@types/node": "^20.12.5",
    "@vitejs/plugin-vue": "^5.0.4",
    "@vitejs/plugin-vue-jsx": "^3.1.0",
    "@vue/eslint-config-prettier": "^9.0.0",
    "@vue/eslint-config-typescript": "^13.0.0",
    "@vue/tsconfig": "^0.5.1",
    "electron": "^39.0.0",
    "eslint": "^8.57.0",
    "eslint-plugin-vue": "^9.23.0",
    "npm-run-all2": "^6.1.2",
    "prettier": "^3.2.5",
    "sass": "^1.75.0",
    "typescript": "~5.4.0",
    "unplugin-auto-import": "^20.2.0",
    "unplugin-vue-components": "^30.0.0",
    "vite": "^5.2.8",
    "vite-plugin-vue-devtools": "^7.0.25",
    "vue-tsc": "^2.0.11"
  }
}
